[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#215442: marked as done (does not load eg, alim15x3 ide chipset driver, dma timeouts on fujutsu lifebooks)



Your message dated Wed, 15 Oct 2003 17:02:21 -0400
with message-id <E1A9smj-0002QU-00@auric.debian.org>
and subject line Bug#215442: fixed in ddetect 0.46
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 12 Oct 2003 20:34:39 +0000
>From joey@kitenet.net Sun Oct 12 15:34:37 2003
Return-path: <joey@kitenet.net>
Received: from kitenet.net [64.62.161.42] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1A8mvF-0005Mn-00; Sun, 12 Oct 2003 15:34:37 -0500
Received: from dragon.kitenet.net (pm3naxs19-197.access.naxs.com [216.98.94.197])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(Client CN "Joey Hess", Issuer "Joey Hess" (verified OK))
	by kitenet.net (Postfix) with ESMTP id 71D5617E56
	for <submit@bugs.debian.org>; Sun, 12 Oct 2003 20:34:35 +0000 (GMT)
Received: by dragon.kitenet.net (Postfix, from userid 1000)
	id CCDDD6E726; Sun, 12 Oct 2003 16:38:22 -0400 (EDT)
Date: Sun, 12 Oct 2003 16:38:22 -0400
From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: does not load eg, alim15x3 ide chipset driver, dma timeouts on fujutsu lifebooks
Message-ID: <[🔎] 20031012203822.GA1871@kitenet.net>
Mime-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature"; boundary="0F1p//8PRICkK4MW"
Content-Disposition: inline
X-Reportbug-Version: 2.34
User-Agent: Mutt/1.5.4i
Delivered-To: submit@bugs.debian.org
X-Spam-Status: No, hits=-8.9 required=4.0
	tests=BAYES_30,HAS_PACKAGE,PATCH_UNIFIED_DIFF
	autolearn=ham version=2.53-bugs.debian.org_2003_10_09
X-Spam-Level: 
X-Spam-Checker-Version: SpamAssassin 2.53-bugs.debian.org_2003_10_09 (1.174.2.15-2003-03-30-exp)


--0F1p//8PRICkK4MW
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Package: hw-detect
Version: 0.43
Severity: important
Tags: d-i

I booted debian-installer on my lifebook from floppy and USB keychain,
and hw-detect ran. Then something I'm working on tried to mount the IDE=20
hard drive. This hung with IDE timeout messages. Investigation revealed
that if I modprobe alim15x3 before hw-detect, my drive works, otherwise
it does not.

Note that the initrd used to boot stock debian kernels outside of d-i
modprobes every ide chipset driver known to man before ide-disk. This
apparently works everywhere -- we have thousands of users booting with
the stock kernels and ide. It would perhaps be wise to copy that
procedure in hw-detect. You can find the code in /usr/sbin/mkinitrd, in
print_ide_modules. Essentially it loads ide-core, then loads every
module in $MODULEDIR/kernel/drivers/ide/pci, and finally loads
ide-detect and ide-disk.

The following patch works to me, but I will not commit it because I'm
sure there's a better way.

--- /home/joey/src/debian-installer/build/tmp/hd-media/tree/bin/hw-detect	2=
003-10-07 14:30:09.000000000 -0400
+++ hw-detect.sh	2003-10-12 15:20:32.000000000 -0400
@@ -34,6 +34,12 @@
 	return
     fi
=20
+    # Hack to make it load my chipset driver before ide-detect, to fix DMA
+    # problems -- JEH.
+    if [ "$module" =3D "ide-detect" ]; then
+	    modprobe alim15x3 >> /var/log/messages 2>&1 || true
+    fi
+   =20
     db_subst hw-detect/module_params MODULE "$module"
     db_input low hw-detect/module_params || [ $? -eq 30 ]
     db_go

--=20
see shy jo

--0F1p//8PRICkK4MW
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/ibu+d8HHehbQuO8RAjIcAJ4pGhgVGnceuMhjIdWZZRnLbAl56wCfWelW
1p5YUJ1AKi+lWt/cs5IVH+k=
=9wZ1
-----END PGP SIGNATURE-----

--0F1p//8PRICkK4MW--

---------------------------------------
Received: (at 215442-close) by bugs.debian.org; 15 Oct 2003 21:03:07 +0000
>From katie@auric.debian.org Wed Oct 15 16:03:07 2003
Return-path: <katie@auric.debian.org>
Received: from auric.debian.org [206.246.226.45] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1A9snT-0005AB-00; Wed, 15 Oct 2003 16:03:07 -0500
Received: from katie by auric.debian.org with local (Exim 3.35 1 (Debian))
	id 1A9smj-0002QU-00; Wed, 15 Oct 2003 17:02:21 -0400
From: Joey Hess <joeyh@debian.org>
To: 215442-close@bugs.debian.org
X-Katie: $Revision: 1.40 $
Subject: Bug#215442: fixed in ddetect 0.46
Message-Id: <E1A9smj-0002QU-00@auric.debian.org>
Sender: Archive Administrator <katie@auric.debian.org>
Date: Wed, 15 Oct 2003 17:02:21 -0400
Delivered-To: 215442-close@bugs.debian.org

Source: ddetect
Source-Version: 0.46

We believe that the bug you reported is fixed in the latest version of
ddetect, which is due to be installed in the Debian FTP archive:

archdetect_0.46_i386.udeb
  to pool/main/d/ddetect/archdetect_0.46_i386.udeb
ddetect_0.46.dsc
  to pool/main/d/ddetect/ddetect_0.46.dsc
ddetect_0.46.tar.gz
  to pool/main/d/ddetect/ddetect_0.46.tar.gz
ethdetect_0.46_all.udeb
  to pool/main/d/ddetect/ethdetect_0.46_all.udeb
hw-detect-full_0.46_all.udeb
  to pool/main/d/ddetect/hw-detect-full_0.46_all.udeb
hw-detect_0.46_all.udeb
  to pool/main/d/ddetect/hw-detect_0.46_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 215442@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated ddetect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 15 Oct 2003 12:35:13 -0400
Source: ddetect
Binary: archdetect hw-detect-full hw-detect ethdetect
Architecture: source all i386
Version: 0.46
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 archdetect - Hardware architect detector (udeb)
 ethdetect  - Detect network hardware and load kernel drivers for it (udeb)
 hw-detect  - Detect hardware and load kernel drivers for it (udeb)
 hw-detect-full - Detect hardware and load kernel drivers for it (full version) (udeb)
Closes: 215163 215442 215453 215455
Changes: 
 ddetect (0.46) unstable; urgency=low
 .
   * Claus Hindsgaul
     - Update da (Danish) translation.
   * André Luís Lopes
     - Update pt_BR (Brazilian Portuguese) translation.
   * Denis Barbier
     - Add a comment in templates files to flag main menu items.
   * Christian Perrier
     - Update French translation.
   * Petter Reinholdtsen
     - Correct module name match to avoid matching
       substrings. (Closes: #215453)
     - Try to load ide-floppy as well, as some platforms need it,
       and I am not sure how to probe for it. (Closes: #215455)
   * Joey Hess
     - Load all the PCI IDE drivers before ide-detect, to fix DMA
       issues on some systems. Closes: #215442
     - Remove the hard-coded list of modules from ethdetect, instead search
       for all net drivers and put them in the list, which is not 100% right
       but still much better.
     - Remove the confusing question about manually specifying the module to
       load. Anyone who knows where a non-modprobe-able module is can use the
       shell..
     - Remove redundant ethdetect/title template, and unused
       ethdetect/module_prompt template.
     - hw-detect: collect any modprobe failures, and show them all in one
       screen at the end. Closes: #215163
     - hw-detect: Say "Loading module", not "Detected module", as not all
       the loaded modules were detected.
     - ethdetect: Loop if manual loading does not work, to let the user try
       several modules. Add error if ethernet card is not found.
     - Add myself to uploaders, at least temporarily.
Files: 
 247f232e00cd78ca98f0cab1dce73739 702 debian-installer standard ddetect_0.46.dsc
 71f3d64fd89e1a915ffa10c22d5c60e1 24756 debian-installer standard ddetect_0.46.tar.gz
 b77c25b1b44efb20cd3653599f9d5562 5068 debian-installer standard hw-detect_0.46_all.udeb
 36999eb3135eb4e026d0594f3a380259 6250 debian-installer optional ethdetect_0.46_all.udeb
 09fae2d927a0b25c37d303966d2b3276 1268 debian-installer standard hw-detect-full_0.46_all.udeb
 1611489267a60ab97954c1bfe22c46d7 2284 debian-installer standard archdetect_0.46_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/jbQr2tp5zXiKP0wRAjaIAJ9U2jhAlE4IF6D7LEPVF/EkGrGUYQCgjgKH
YuCN/1r6PGk8xWz/SKtdc+4=
=pKkf
-----END PGP SIGNATURE-----



Reply to: